> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contract Tier Price Overrides



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /rr/api/v1/contracts/{contract_id}/tier-price-overrides
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /rr/api/v1/contracts/{contract_id}/tier-price-overrides:
    get:
      tags:
        - Revenue Recognition
      summary: List Contract Tier Price Overrides
      operationId: rr_api_v1_contracts_tier_price_overrides_list
      parameters:
        - in: path
          name: contract_id
          schema:
            type: integer
          required: true
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTierPriceOverrideList'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PaginatedTierPriceOverrideList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/TierPriceOverride'
    TierPriceOverride:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        tier:
          type: integer
        tier_name:
          type: string
          readOnly: true
        contract:
          type: integer
        deal_name:
          type: string
          readOnly: true
        usage_group_id:
          type: integer
          readOnly: true
        usage_group_name:
          type: string
          readOnly: true
        price:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
          description: Override price per unit for this contract+tier
        percentage:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
          description: >-
            Override percentage for this contract+tier (percentage-based
            pricing)
        source:
          $ref: '#/components/schemas/TierPriceOverrideSourceEnum'
        integration_name:
          type: string
          nullable: true
          maxLength: 250
        external_reference:
          type: string
          nullable: true
          maxLength: 250
        notes:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - contract
        - created_at
        - deal_name
        - id
        - last_modified_at
        - tier
        - tier_name
        - usage_group_id
        - usage_group_name
    TierPriceOverrideSourceEnum:
      enum:
        - manual
        - integration
      type: string
      description: |-
        * `manual` - Manual entry
        * `integration` - Integration-driven
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````